Bug 77448 - XML Parser fails on DTD defined entities
XML Parser fails on DTD defined entities
Product: Red Hat Linux
Classification: Retired
Component: perl-XML-Parser (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2002-11-07 01:38 EST by Gregory Leblanc
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-28 03:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gregory Leblanc 2002-11-07 01:38:27 EST
Description of Problem:
I'm attempting to use Norm Walsh's diffmk script on Red Hat Linux 8.0.  This
script takes two XML files, calculates the differences between them, and outputs
a third file with some special markup of the changes.  Running the diffmk script
on Red Hat Linux 8.0 fails if I'm using — from DocBook.  

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Download and install Algorithm::Diff from
2.Grab my slightly modified diffmk tarball from
(it just has some slightly modified test?.xml files to work with the DTDs
normally found on RHL 8.0 and with — added)
3. change to diffmk/work and run '../diffmk --doctype docbook test1.xml
test2.xml changes.xml'

Actual Results:
An error message stating:
undefined entity at line 5, column 13, byte 287 at
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/XML/Parser.pm line 185

Expected Results:
A changes.xml file.

Additional Information:
I can't reproduce this bug on Red Hat Linux 7.2, which has a slightly older
perl-XML-Parser.  I tried to rebuild the older version on Red Hat Linux 8.0, but
didn't have any luck.
Comment 1 Gregory Leblanc 2002-11-07 04:21:31 EST
This happens on other entities defined by the DTD, such as #.
Comment 2 Gregory Leblanc 2002-11-13 21:19:22 EST
Hmm, I tried recompiling the perl-XML-Parser 2.30. I ended up using the 2.31-12
spec file, with 'make test' removed, and the versions changed in order to make
it output an RPM.  Unfortunately, this doesn't appear to have fixed the problem,
in fact, it doesn't even appear to change the error message.
Comment 3 Warren Togami 2005-05-28 03:06:38 EDT
Closing due to lack of activity and likely fixed in modern perl.  If this is
still an issue in RHEL4, FC3 or FC4 please open a new bug with new test
information and exact versions of packages.
Comment 4 Gregory Leblanc 2005-05-29 01:49:31 EDT
The only lack of activity that I see here is that nobody from Red Hat so much as
acknowledged that they'd even read this.  It comes with full steps to reproduce
the bug, links to all relevant bits and pieces, what more could you want? 
Closing this as "CURRENTRELEASE" is just plain irresponsible.  

Note You need to log in before you can comment on or make changes to this bug.